/**
 *
 */
package com.test;

import java.io.Serializable;
import java.util.UUID;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

import org.apache.log4j.Logger;

@ManagedBean(name="testBean")
@ViewScoped
public class TestBean  implements Serializable {

	private static final long serialVersionUID = 1L;

	static Logger logger = Logger.getLogger(TestBean.class);

	String text = "I'm the Test Bean: " + this;

	@PostConstruct
	public void init(){
		logger.info("init(): " + this);
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public void buttonClicked(){
		logger.info("buttonClicked(): " + this);
	}

	public void changeText(){
		logger.info("changeText(): " + this);
		text = UUID.randomUUID().toString() + " : " + this;
	}

}
